vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=323143

Coinbase (API v2) Payment Gateway
by DivisionByZero
01 Aug 2016 00:49

2 Attachment(s)
This mod integrates the Coinbase payment gateway using API version 2.

You must have an active merchant account with Coinbase. Once you have your merchant account activated, login to coinbase.com, click on Settings --> API Access and create a NEW api key and make sure that, at a minimum, the settings match the ones in the attached image. Also, you'll have to enter your callback URL (yourvb.com/payment_gateway.php?method=coinbase).

This may work with older vBulletin versions down to v4.0.x, but it has not been tested.

Enjoy, and donations are always welcomed! :)

DivisionByZero 01 Aug 2016 00:51

December 16, 2016:

Update to v1.1.0:
  1. Updated to address the discontinuation of the Coinbase sandbox.
  2. Added a smarter duplicate transaction handler because CB seems to enjoy sending duplicate and unique notifications for the same transaction.
  3. Rewrote the TEST COMMUNICATION feature to perform an actual API call in addition to verifying the configuration settings.
  4. Rewrote the callback authentication feature to include the proper signature/body verification and CIDR check against Coinbase's notification servers IPs.

ACNET 21 Aug 2016 20:27

Really nice that you updated it but when ordering it redirect me to 404 not found (https://www.coinbase.com/checkouts/?)

DivisionByZero 21 Aug 2016 20:29

Is the live or sandbox mode doing this?

ACNET 21 Aug 2016 20:41

Quote:

Originally Posted by DivisionByZero (Post 2575074)
Is the live or sandbox mode doing this?

It was on live, but i got it working something with api was wrong sorry for that :S

DivisionByZero 21 Aug 2016 20:43

ok... glad its working for you now.

ryhe 29 Sep 2016 20:04

3.8 ?

DivisionByZero 14 Dec 2016 08:57

For some crazy reason, coinbase axed their sandbox and encourage the use of "small amounts" on the LIVE api for testing purposes. I'll update this today or tomorrow accordingly.

All done

angemon 19 Dec 2016 02:24

Hi and thanks @DivisionByZero for the plugin,
But I got this issue when I tried to import your product:
This product is not compatible with version 5.4.36 of PHP. (Compatible starting with 5.6)

DivisionByZero 19 Dec 2016 02:25

try it if you want, let me know the outcome and i'll update the next release

angemon 19 Dec 2016 11:21

Quote:

Originally Posted by DivisionByZero (Post 2579609)
try it if you want, let me know the outcome and i'll update the next release

thanks

DivisionByZero 19 Dec 2016 11:22

you can edit the XML before you import it. and my plugin returns TRUE upon receiving a successful callback payment. vBulletin thus changes the usergroups.

angemon 19 Dec 2016 16:58

Quote:

Originally Posted by DivisionByZero (Post 2579621)
you can edit the XML before you import it. and my plugin returns TRUE upon receiving a successful callback payment. vBulletin thus changes the usergroups.

Thanks for your reply ,

DivisionByZero 19 Dec 2016 20:27

then it wont work with that version...i cant recall which function would require 5.6 or higher

DivisionByZero 23 Dec 2016 21:39

my script makes no call to the the MySQL extensions. You have a problem somewhere else.


All times are GMT. The time now is 15:16.

Powered by vBulletin® Version 3.8.14
Copyright © 2021, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.